Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.annotations
Class AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

    java.lang.Object
      org.eclipse.jetty.annotations.AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

All Implemented Interfaces:
  AnnotationIntrospector.IntrospectableAnnotationHandler

Direct Known Subclasses:
  DeclareRolesAnnotationHandler, MultiPartConfigAnnotationHandler, PostConstructAnnotationHandler, PreDestroyAnnotationHandler, ResourceAnnotationHandler, ResourcesAnnotationHandler, RunAsAnnotationHandler, ServletSecurityAnnotationHandler

Enclosing class:
  AnnotationIntrospector

    public abstract static class AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

extends java.lang.Object
implements AnnotationIntrospector.IntrospectableAnnotationHandler

AbstractIntrospectableAnnotationHandler Base class for handlers that introspect a class to find a particular annotation. A handler can optionally introspect the parent hierarchy of a class.

Constructor Summary
`AnnotationIntrospector.AbstractIntrospectableAnnotationHandler(boolean introspectAncestors)`

Method Summary
`abstract void` | `doHandle(java.lang.Class clazz)`
`void` | `handle(java.lang.Class clazz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationIntrospector.AbstractIntrospectableAnnotationHandler

    public AnnotationIntrospector.AbstractIntrospectableAnnotationHandler(boolean introspectAncestors)

Method Detail

### doHandle

    public abstract void doHandle(java.lang.Class clazz)

### handle

    public void handle(java.lang.Class clazz)

  Specified by:
    `handle` in interface `AnnotationIntrospector.IntrospectableAnnotationHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.